# 文件保护箱
## 1  概 述
#### 1.1  产品简介
文件保护箱是基于内核级数据隔离机制的保护工具，提供用户间数据隔离和加密保护功能，支持国密算法，实现一箱一密、一文一密的细粒度控制，保障用户数据安全。
<br>
#### 1.2  产品亮点
多重防护：支持用户间数据隔离以及细粒度的权限控制，保障数据安全。


安全加密：支持一箱一密、一文一密的透明加密机制，且对密钥进行安全管理，能够满足政企和金融级客户的核心安全诉求。


丰富算法：支持标准国际算法、国密算法和硬件级加密算法，能够满足不同安全等级的加密应用场景。


高兼容性：支持保护箱版本兼容机制，用户升级适配无感知，保证用户数据安全存储、永不丢失。

简单易用：支持内置文件管理器，实现统一管理，操作简单、易于上手。
<br>

## 2  使用入门 
支持使用文件保护箱软件工具进行相关操作（详情见第3章），点击操作系统“开始菜单”，选择并点击“文件保护箱”，打开文件保护箱软件界面。


支持使用文件管理器进行保护箱相关操作（详情见第4章），打开“文件管理器”，点击左边栏“保护箱”，进入保护箱，如图1所示。

![-big](image/1.1.png)
![图 1 文件保护箱位置-big](image/1.2.png)

##### (1)  保护箱状态介绍
文件保护箱窗口中用不同的图标表示保护箱的不同状态，详细信息表1。

表1  文件保护箱图标释义

| 序号| 认证方式| 图标 | 状态 |
|:-----|:-----|:-----|:-----|
|1|密码认证|![](image/icon3.png)| 锁定 |
|2|密码认证|![](image/icon4.png)| 打开 |
|3|免密认证|![](image/icon5.png)| 无 |


##### (2)  保护箱类型介绍
免密认证保护箱：保护箱支持免密认证，提供打开、删除和重命名等操作；


密码认证保护箱：保护箱需要进行密码认证，当密码认证通过时才能完成相关操作。此类保护箱存在两种状态，包括：锁定和打开。锁定保护箱提供打开、修改密码、删除和重命名等操作；打开保护箱提供打开、锁定、修改密码、删除和重命名等操作；
<br>
#### 2.1  获取帮助
文件保护箱软件界面中点击![](image/menu.png)图标，点击“帮助”按钮，弹出“用户手册”弹窗，显示文件保护箱的帮助手册相关信息，如图2所示。
![图 2 用户手册-big](image/2.png)
<br>
#### 2.2  模式支持
文件保护箱软件界面打开后，鼠标拖动右下角滑块动态切换显示模式，支持图标模式和列表模式，默认为图标模式。

图标模式下，光标悬停在保护箱上，可以显示虚拟路径，如图3所示。
![图 3 图标模式-big](image/3.png)

列表模式下，展示保护箱的属性信息，支持已加密状态或创建时间进行排序，如图4所示。
![图 4 列表模式-big](image/4.png)
<br>
#### 2.3  语言支持
文件保护箱软件界面默认跟随系统语言设置，支持中文和英文，如图 5至6所示。
![图 5 中文显示-big](image/5.png)
![图 6 英文显示-big](image/6.png)
<br>

## 3  软件工具操作方式
点击操作系统“开始菜单”，选择并点击“文件保护箱”，打开文件保护箱软件界面。


打开文件保护箱软件界面，弹出用户认证页面，正确输入当前用户登录密码并点击授权按钮进行认证。如果认证通过，则打开文件保护箱软件界面成功，否则打开失败，如图7所示。
![-big](image/8.1.png)![图 7 开始菜单及用户认证界面-big](image/8.2.png)

首次打开文件保护箱软件，界面引导用户新建保护箱，如图8所示。
![图 8 首次打开文件保护箱软件-big](image/9.png)
<br>
#### 3.1  新建保护箱
##### （1）  新建密码认证保护箱
点击“新建”按钮弹出新建保护箱子界面，输入保护箱名称、密码（新建保护箱子界面显示对应密码强度）和确认密码，最后点击确认按钮，完成保护箱创建，如图9所示。
![图 9 新建密码认证保护箱-big](image/10.png)

如果是首次创建密码认证保护箱，需要用户完成加密密钥的保存，建议用户将密钥文件安全保存（建议用户自行保存至移动设备或者云存储，不推荐本地保存），如图10所示。
![图 10 用户保存密钥文件提示弹窗-big](image/11.png)

##### （2）  新建免认证保护箱
点击“新建”按钮弹出新建保护箱子界面，关闭加密开关并输入保护箱名称，最后点击确认按钮，完成保护箱创建，如图11所示。
![图 11 新建免密认证保护箱-big](image/12.png)
<br>
#### 3.2  使用保护箱
##### 3.2.1  打开
免密认证保护箱可以通过鼠标双击或右键菜单打开，自动弹出文件管理器并展示对应目录，如图12所示。
![图 12 打开免密认证保护箱-big](image/13.png)

密码认证保护箱可以通过鼠标双击或右键菜单打开，输入正确密码并认证通过后，自动弹出文件管理器并展示对应目录，如图13至14所示。
![图 13 保护箱密码认证弹窗-big](image/14.png)
![图 14 打开密码认证保护箱-big](image/15.png)

##### 3.2.2  存储文件
保护箱打开后可以新建任意文件或目录，也可以将外部文件拷贝至保护箱，箱内文件内容自动完成加密。

##### 3.2.3  锁定
密码认证保护箱处于打开状态时，通过右键完成锁定操作，如图15所示。
![图 15 锁定密码认证保护箱-big](image/16.png)

锁定保护箱可能会遇到如下两种情况：


（1）锁定保护箱时，未检测到有文件正在被占用，提示用户提前保存文件，避免造成文件内容丢失，如图16所示。
![图 16 锁定保护箱提示-big](image/17.png)


（2）锁定保护箱时，检测到有文件正在被占用，提示用户保存并关闭正在使用的文件。为避免造成数据丢失，请谨慎进行强制锁定操作，如图17所示：
![-big](image/18.1.png)![图 17 强制锁定提示-big](image/18.2.png)

##### 3.2.4  修改保护箱密码
密码认证保护箱通过右键完成修改密码操作，支持密码设置和密钥设置，如图18所示。
![图 18 通过密码认证方式修改保护箱密码-big](image/19.png)

通过手动导入正确的密钥文件完成新密码设置，如图19所示。

![图 19 通过密钥认证方式修改保护箱密码-big](image/20.png)

##### 3.2.5  重命名
密码认证保护箱可以通过鼠标右键菜单重命名，输入新名称和正确密码，点击确认按钮后完成重命名操作，如图20所示。
![图 20 重命名密码认证文件保护箱-big](image/21.png)


免密认证保护箱可以通过鼠标右键菜单重命名，输入新名称，点击确认按钮后完成重命名操作，如图21所示。
![图 21 重命名密码认证文件保护箱-big](image/22.png)

##### 3.2.6  删除保护箱
密码认证保护箱可以通过鼠标右键菜单删除，输入正确密码，点击确认按钮后完成删除操作，如图22所示。
![图 22 删除密码认证文件保护箱-big](image/23.png)


免密认证保护箱可以通过鼠标右键菜单删除，点击确认按钮后完成删除操作，如图23所示。
![图 23 删除免密认证保护箱-big](image/24.png)
<br>

## 4  文件管理器操作方式
打开“文件管理器”，鼠标双击或者右键打开“保护箱”，弹出用户认证页面，正确输入当前用户登录密码并点击授权按钮进行认证。如果认证通过，则打开保护箱成功，否则打开失败，如图24所示。
![图 24 文件管理器用户认证界面-big](image/25.png)
<br>
#### 4.1  新建保护箱
##### （1）新建密码认证保护箱
鼠标右键保护箱空白区域，在弹出菜单选择“创建保护箱”，弹出新建保护箱子界面，输入保护箱名称、密码（新建保护箱子界面显示对应密码强度）和确认密码，最后点击确认按钮，完成保护箱创建，如图25所示。
![图 25 新建密码认证保护箱-big](image/26.png)


如果是首次创建密码认证保护箱，需要用户完成加密密钥的保存，建议用户将密钥文件安全保存（建议用户自行保存至移动设备或者云存储，不推荐本地保存），如图26所示。
![图 26 用户保存密钥文件提示弹窗-big](image/27.png)


##### （2）新建免密认证保护箱
鼠标右键保护箱空白区域，在弹出菜单选择“创建保护箱”，弹出新建保护箱子界面，关闭加密开关并输入保护箱名称，最后点击确认按钮，完成保护箱创建，如图27所示。
![图 27 新建免密认证保护箱-big](image/28.png)
<br>
#### 4.2  使用保护箱
##### 4.2.1  打开
免密认证保护箱可以通过鼠标双击或右键菜单打开，自动弹出文件管理器并展示对应目录，如图28所示。
![图 28 打开免密认证保护箱-big](image/29.png)

密码认证保护箱可以通过鼠标双击或右键菜单打开，输入正确密码并认证通过后，自动弹出文件管理器并展示对应目录，如图29至30所示。
![图 29 保护箱认证弹窗-big](image/30.png)
![图 30 打开密码认证保护箱-big](image/31.png)

##### 4.2.2  存储文件
保护箱打开后可以新建任意文件或目录，也可以将外部文件拷贝至保护箱，箱内文件内容自动完成加密。

##### 4.2.3  锁定
密码认证保护箱处于打开状态时，通过右键完成锁定操作，如图31所示。
![图 31 锁定密码认证保护箱-big](image/32.png)

锁定保护箱可能会遇到如下两种情况：


（1）  锁定保护箱时，未检测到有文件正在被占用，提示用户提前保存文件，避免造成文件内容丢失，如图32所示：
![图 32 锁定保护箱提示-big](image/33.png)


（2）  锁定保护箱时，检测到有文件正在被占用，提示用户保存并关闭正在使用的文件。为避免造成数据丢失，请谨慎进行强制锁定操作，如图33所示：
![-big](image/34.1.png)![图 33 强制锁定提示-big](image/34.2.png)

##### 4.2.4  修改保护箱密码
密码认证保护箱通过右键完成修改密码操作，支持密码设置和密钥设置，如图34所示。
![图 34 通过密码认证方式修改保护箱密码-big](image/35.png)

通过手动导入正确的密钥文件完成新密码设置，如图35所示。
![图 35 通过密钥认证方式修改保护箱密码-big](image/36.png)


##### 4.2.5  重命名
密码认证保护箱可以通过鼠标右键菜单重命名，输入新名称和正确密码，点击确认按钮后完成重命名操作，如图36所示。
![图 36 重命名密码认证文件保护箱-big](image/37.png)

免密认证保护箱可以通过鼠标右键菜单重命名，输入新名称，点击确认按钮后完成重命名操作，如图37所示。
![图 37 重命名免密认证文件保护箱-big](image/38.png)


##### 4.2.6 删除保护箱
密码认证保护箱可以通过鼠标右键菜单删除，输入正确密码，点击确认按钮后完成删除操作，如图38所示。
![图 38 删除密码认证保护箱-big](image/39.png)

免密认证保护箱可以通过鼠标右键菜单删除，点击确认按钮后完成删除操作，如图39所示。
![图 39 删除免密认证保护箱-big](image/40.png)
<br>

## 5  登录选项
除使用密码登录文件保护箱之外，还支持添加生物识别和微信绑定进行登录，生物识别包括指纹、人脸、指静脉、虹膜、声膜。
<br>
#### 5.1  微信绑定
打开设置中的登录选项页面，在扫描登录选项中，点击绑定微信，如图40所示。
![图 40 绑定微信-big](image/41.png)

绑定微信后，打开文件保护箱软件，弹出用户认证页面，使用已绑定账号的微信进行扫描登录。如果认证通过，则打开文件保护箱软件界面成功，否则打开失败，如图41所示。
![图 41 微信扫码登录-big](image/42.png)
<br>
#### 5.2  生物识别
指纹、人脸、指静脉、虹膜、声膜的页面组成是类似的，此处以指纹识别为例。打开设置-登录选项页面，打开生物识别按钮，连接指纹设备，点击添加指纹，如图42所示。
![图 42 添加指纹-big](image/43.png)

绑定指纹后，打开文件保护箱软件，弹出用户认证页面，使用已认证的指纹进行登录。如果认证通过，则打开文件保护箱软件界面成功，否则打开失败，如图43所示。
![图 43 指纹登录-big](image/44.png)
<br>

## 附录：常见问题及处理方法(FAQ)
##### 1.  发生文件保护箱软件无法打开情况怎么办？
- 答：出现文件保护箱无法开启的情况时，请手动开启内核保护箱模块。首先打开桌面开始菜单-终端，输入终端命令sudo vi /etc/default/grub，然后进入grub文件修改保护箱模块部分，在grub文件中查找到参数GRUB_CMDLINE_LINUX_SECURITY="audit=0 security=kysec"，在其后添加“，box”,保存并退出文件，再次输入命令update-grub更新grub文件，更新完成后，重启文件保护箱即可。
##### 2.  修改保护箱密码，导入密钥文件时，无法查找到密钥文件怎么办？
- 答：用户自行命名保护箱密钥文件时，可能未添加（.txt）后缀，此时在导入文件时，需要点击文本类型后的小三角，选择所有文件类型，即可成功显示密钥文件并导入。
##### 3.  文件管理器认证界面多次输入错误密码，再次输入正确密码，点击授权无法进入保护箱怎么办？
- 答：文件管理器保护箱认证机制与系统用户认证机制相同，连续输入多次错误密码会默认锁定，锁定时间与系统设定锁定时间一致。如出现此种情况，请稍等片刻，直到锁定时间结束后进入，或者重启系统后进入保护箱。
##### 4.  文件保护箱无法根据保护箱属性界面显示的位置信息找到保护箱文件怎么办？
- 答：文件保护箱致力于保护用户数据安全，出于对用户隐私安全的保护，位置信息采用虚拟路径显示方案，所以无法通过此路径查找保护箱信息。如需查看保护箱真实路径，请打开桌面开始菜单-终端，输入终端命令boxadm -l，此命令会显示保护箱相关信息，可查看保护箱真实路径。但已锁定保护箱拥有离线保护机制，即使进入真实路径，也无法查看保护箱内文件，或对其进行删除等操作。
##### 5.  当复制某些文件到已解锁保护箱中，锁定保护箱，弹出“当前保护箱中有文件正在被占用，需要解除占用才能锁定”提示框怎么办？
- 答：产生此现象的原因是该文件未复制完毕，保护箱会实时更新。复制大文件时请耐心等待片刻，文件保存完毕后，占用文件数会显示归零。不影响保护箱正常使用。
##### 6.  保护箱忘记密码怎么办？
- 答：当忘记密码时，可以通过手动导入正确的密钥文件完成新密码设置，然后打开忘记密码的保护箱，所以请务必妥善保存生成的密钥文件。
##### 7.  系统因故障无法进入保护箱页面时，如何导出保护箱内部文件？
- 答：打开终端，输入命令boxadm -h，会展示文件保护箱终端命令。输入命令boxadm -l，会显示所有保护箱相关信息，包括是否加密、是否锁定以及路径信息。未加密保护箱和已解锁保护箱可通过cd+路径 命令进入保护箱，查看文件内容，然后通过cp+文件名+新路径 命令，导出保护箱内部文件。如保护箱加密，请首先使用命令boxadm --unlock命令解锁，然后进行以上操作。
##### 8.  文件保护箱和文件管理器保护箱操作不同步怎么办？
- 答：文件保护箱、文件管理器二者操作同步，包括保护箱创建、删除、重命名、修改密码等基本操作，也包括保护箱内部内容更改等。若文件保护箱和文件管理器保护箱部分用户在其中一方更改，另一方未同步更新，可能是二者状态未及时更新，请进行刷新操作。
##### 9.  当在创建的保护箱中，进行文件创建或修改等文件操作时，界面未及时更新怎么办？
- 答：文件管理器暂时状态未同步，请重启文件管理器、按键盘F5或右键点击刷新进行刷新操作。
##### 10.  文件保护箱升级后，密钥文件是否需要更改？
- 答：不需要。因为文件保护箱升级过程中，是对其保护箱所在目录的整体迁移，未对保护箱全局密钥进行修改，因此保护箱密钥文件在保护箱升级情况下适用于当前所兼容的所有保护箱。

